| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csplugincommon/canvas/graph2d.h File Reference

Base class for 2D canvases. More...

`#include "csextern.h"`
`#include "csutil/cfgacc.h"`
`#include "csutil/scf.h"`
`#include "csutil/scf_implementation.h"`
`#include "csutil/weakref.h"`
`#include "iutil/comp.h"`
`#include "iutil/dbghelp.h"`
`#include "iutil/eventh.h"`
`#include "iutil/plugin.h"`
`#include "iutil/pluginconfig.h"`
`#include "iutil/string.h"`
`#include "ivideo/fontserv.h"`
`#include "ivideo/graph2d.h"`
`#include "ivideo/natwin.h"`
`#include "csutil/win32/msvc_deprecated_warn_off.h"`
`#include "csutil/win32/msvc_deprecated_warn_on.h"`

Go to the source code of this file.

## Classes
class | csGraphics2D
| This is the base class for 2D canvases. More...

## Detailed Description

Base class for 2D canvases.

Definition in file graph2d.h.